#!/bin/bash
pkgname=kmenu-gnome
pkgver=1.2.3
# This if for Slackware 11 or earlier:
pkgrel=11
rm -rf slackware-11/{opt,usr}
mkdir -p slackware-11/opt/kde/etc/xdg/menus/applications-merged
mkdir -p \
slackware-11/opt/kde/share/icons/hicolor/{16x16,22x22,32x32,48x48,64x64}
mkdir -p slackware-11/usr/doc/$pkgname-$pkgver
mkdir -p slackware-11/usr/share/icons/hicolor/48x48/stock/generic
cp --preserve=timestamps ../{ChangeLog,COPYING,GPL,LGPL,README} \
slackware-11/usr/doc/$pkgname-$pkgver
cp --preserve=timestamps ../xdg/kmenu-gnome.menu \
slackware-11/opt/kde/etc/xdg/menus/applications-merged
cp -R --preserve=timestamps ../icons/crystalsvg \
slackware-11/opt/kde/share/icons
cp -R --preserve=timestamps ../icons/hicolor/{16x16,22x22,32x32,48x48,64x64} \
slackware-11/opt/kde/share/icons/crystalsvg
rm slackware-11/opt/kde/share/icons/crystalsvg/*/apps/gnome_apps.png
cp -R --preserve=timestamps ../desktop-directories slackware-11/opt/kde/share
cp -R --preserve=timestamps ../kmenu-gnome slackware-11/usr/share
cp --preserve=timestamps slackware-11.patch \
slackware-11/usr/share/kmenu-gnome
# Make package:
( cd slackware-11
makepkg -c y ../$pkgname-$pkgver-noarch-$pkgrel.tgz )
rm -rf slackware-11/{opt,usr}
